package com.mortals.xhx.module.notice.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.notice.model.NoticeStudyEntity;
/**
* 公告学习人员查询对象
*
* @author zxfei
* @date 2023-02-23
*/
public class NoticeStudyQuery extends NoticeStudyEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 公告id */
    private Long noticeIdStart;

    /** 结束 公告id */
    private Long noticeIdEnd;

    /** 增加 公告id */
    private Long noticeIdIncrement;

    /** 公告id列表 */
    private List <Long> noticeIdList;

    /** 公告id排除列表 */
    private List <Long> noticeIdNotList;

    /** 开始 公告类型(0.通知,1.公告,2.行业知识,3.通用知识) */
    private Integer noticetTypeStart;

    /** 结束 公告类型(0.通知,1.公告,2.行业知识,3.通用知识) */
    private Integer noticetTypeEnd;

    /** 增加 公告类型(0.通知,1.公告,2.行业知识,3.通用知识) */
    private Integer noticetTypeIncrement;

    /** 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)列表 */
    private List <Integer> noticetTypeList;

    /** 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)排除列表 */
    private List <Integer> noticetTypeNotList;

    /** 公告标题 */
    private List<String> titleList;

    /** 公告标题排除列表 */
    private List <String> titleNotList;
    /** 开始 用户id */
    private Long userIdStart;

    /** 结束 用户id */
    private Long userIdEnd;

    /** 增加 用户id */
    private Long userIdIncrement;

    /** 用户id列表 */
    private List <Long> userIdList;

    /** 用户id排除列表 */
    private List <Long> userIdNotList;

    /** 用户名称 */
    private List<String> userNameList;

    /** 用户名称排除列表 */
    private List <String> userNameNotList;
    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 开始 状态(0.未读,1.已读) */
    private Integer noticeStatusStart;

    /** 结束 状态(0.未读,1.已读) */
    private Integer noticeStatusEnd;

    /** 增加 状态(0.未读,1.已读) */
    private Integer noticeStatusIncrement;

    /** 状态(0.未读,1.已读)列表 */
    private List <Integer> noticeStatusList;

    /** 状态(0.未读,1.已读)排除列表 */
    private List <Integer> noticeStatusNotList;

    /** 开始 是否置顶(0.否，1.是) */
    private Integer topStart;

    /** 结束 是否置顶(0.否，1.是) */
    private Integer topEnd;

    /** 增加 是否置顶(0.否，1.是) */
    private Integer topIncrement;

    /** 是否置顶(0.否，1.是)列表 */
    private List <Integer> topList;

    /** 是否置顶(0.否，1.是)排除列表 */
    private List <Integer> topNotList;

    /** 开始 查看时间 */
    private String viewTimeStart;

    /** 结束 查看时间 */
    private String viewTimeEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NoticeStudyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NoticeStudyQuery> andConditionList;

    public NoticeStudyQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 公告id
    * @return noticeIdStart
    */
    public Long getNoticeIdStart(){
        return this.noticeIdStart;
    }

    /**
    * 设置 开始 公告id
    * @param noticeIdStart
    */
    public void setNoticeIdStart(Long noticeIdStart){
        this.noticeIdStart = noticeIdStart;
    }

    /**
    * 获取 结束 公告id
    * @return $noticeIdEnd
    */
    public Long getNoticeIdEnd(){
        return this.noticeIdEnd;
    }

    /**
    * 设置 结束 公告id
    * @param noticeIdEnd
    */
    public void setNoticeIdEnd(Long noticeIdEnd){
        this.noticeIdEnd = noticeIdEnd;
    }

    /**
    * 获取 增加 公告id
    * @return noticeIdIncrement
    */
    public Long getNoticeIdIncrement(){
        return this.noticeIdIncrement;
    }

    /**
    * 设置 增加 公告id
    * @param noticeIdIncrement
    */
    public void setNoticeIdIncrement(Long noticeIdIncrement){
        this.noticeIdIncrement = noticeIdIncrement;
    }

    /**
    * 获取 公告id
    * @return noticeIdList
    */
    public List<Long> getNoticeIdList(){
        return this.noticeIdList;
    }

    /**
    * 设置 公告id
    * @param noticeIdList
    */
    public void setNoticeIdList(List<Long> noticeIdList){
        this.noticeIdList = noticeIdList;
    }

    /**
    * 获取 公告id
    * @return noticeIdNotList
    */
    public List<Long> getNoticeIdNotList(){
        return this.noticeIdNotList;
    }

    /**
    * 设置 公告id
    * @param noticeIdNotList
    */
    public void setNoticeIdNotList(List<Long> noticeIdNotList){
        this.noticeIdNotList = noticeIdNotList;
    }


    /**
    * 获取 开始 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @return noticetTypeStart
    */
    public Integer getNoticetTypeStart(){
        return this.noticetTypeStart;
    }

    /**
    * 设置 开始 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeStart
    */
    public void setNoticetTypeStart(Integer noticetTypeStart){
        this.noticetTypeStart = noticetTypeStart;
    }

    /**
    * 获取 结束 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @return $noticetTypeEnd
    */
    public Integer getNoticetTypeEnd(){
        return this.noticetTypeEnd;
    }

    /**
    * 设置 结束 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeEnd
    */
    public void setNoticetTypeEnd(Integer noticetTypeEnd){
        this.noticetTypeEnd = noticetTypeEnd;
    }

    /**
    * 获取 增加 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @return noticetTypeIncrement
    */
    public Integer getNoticetTypeIncrement(){
        return this.noticetTypeIncrement;
    }

    /**
    * 设置 增加 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeIncrement
    */
    public void setNoticetTypeIncrement(Integer noticetTypeIncrement){
        this.noticetTypeIncrement = noticetTypeIncrement;
    }

    /**
    * 获取 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @return noticetTypeList
    */
    public List<Integer> getNoticetTypeList(){
        return this.noticetTypeList;
    }

    /**
    * 设置 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeList
    */
    public void setNoticetTypeList(List<Integer> noticetTypeList){
        this.noticetTypeList = noticetTypeList;
    }

    /**
    * 获取 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @return noticetTypeNotList
    */
    public List<Integer> getNoticetTypeNotList(){
        return this.noticetTypeNotList;
    }

    /**
    * 设置 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeNotList
    */
    public void setNoticetTypeNotList(List<Integer> noticetTypeNotList){
        this.noticetTypeNotList = noticetTypeNotList;
    }


    /**
    * 获取 公告标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 公告标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 公告标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 公告标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 用户id
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户id
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户id
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户id
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 用户id
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 用户id
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 用户名称
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 用户名称
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 用户名称
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 所属部门
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 状态(0.未读,1.已读)
    * @return noticeStatusStart
    */
    public Integer getNoticeStatusStart(){
        return this.noticeStatusStart;
    }

    /**
    * 设置 开始 状态(0.未读,1.已读)
    * @param noticeStatusStart
    */
    public void setNoticeStatusStart(Integer noticeStatusStart){
        this.noticeStatusStart = noticeStatusStart;
    }

    /**
    * 获取 结束 状态(0.未读,1.已读)
    * @return $noticeStatusEnd
    */
    public Integer getNoticeStatusEnd(){
        return this.noticeStatusEnd;
    }

    /**
    * 设置 结束 状态(0.未读,1.已读)
    * @param noticeStatusEnd
    */
    public void setNoticeStatusEnd(Integer noticeStatusEnd){
        this.noticeStatusEnd = noticeStatusEnd;
    }

    /**
    * 获取 增加 状态(0.未读,1.已读)
    * @return noticeStatusIncrement
    */
    public Integer getNoticeStatusIncrement(){
        return this.noticeStatusIncrement;
    }

    /**
    * 设置 增加 状态(0.未读,1.已读)
    * @param noticeStatusIncrement
    */
    public void setNoticeStatusIncrement(Integer noticeStatusIncrement){
        this.noticeStatusIncrement = noticeStatusIncrement;
    }

    /**
    * 获取 状态(0.未读,1.已读)
    * @return noticeStatusList
    */
    public List<Integer> getNoticeStatusList(){
        return this.noticeStatusList;
    }

    /**
    * 设置 状态(0.未读,1.已读)
    * @param noticeStatusList
    */
    public void setNoticeStatusList(List<Integer> noticeStatusList){
        this.noticeStatusList = noticeStatusList;
    }

    /**
    * 获取 状态(0.未读,1.已读)
    * @return noticeStatusNotList
    */
    public List<Integer> getNoticeStatusNotList(){
        return this.noticeStatusNotList;
    }

    /**
    * 设置 状态(0.未读,1.已读)
    * @param noticeStatusNotList
    */
    public void setNoticeStatusNotList(List<Integer> noticeStatusNotList){
        this.noticeStatusNotList = noticeStatusNotList;
    }


    /**
    * 获取 开始 是否置顶(0.否，1.是)
    * @return topStart
    */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
    * 获取 结束 是否置顶(0.否，1.是)
    * @return $topEnd
    */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
    * 获取 增加 是否置顶(0.否，1.是)
    * @return topIncrement
    */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topList
    */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topNotList
    */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topNotList
    */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
    * 获取 开始 查看时间
    * @return viewTimeStart
    */
    public String getViewTimeStart(){
        return this.viewTimeStart;
    }

    /**
    * 设置 开始 查看时间
    * @param viewTimeStart
    */
    public void setViewTimeStart(String viewTimeStart){
        this.viewTimeStart = viewTimeStart;
    }

    /**
    * 获取 结束 查看时间
    * @return viewTimeEnd
    */
    public String getViewTimeEnd(){
        return this.viewTimeEnd;
    }

    /**
    * 设置 结束 查看时间
    * @param viewTimeEnd
    */
    public void setViewTimeEnd(String viewTimeEnd){
        this.viewTimeEnd = viewTimeEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public NoticeStudyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public NoticeStudyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public NoticeStudyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public NoticeStudyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public NoticeStudyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public NoticeStudyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  公告id
    * @param noticeId
    */
    public NoticeStudyQuery noticeId(Long noticeId){
	    setNoticeId(noticeId);
		return this;
    }
	
	 /**
    * 设置 开始 公告id
    * @param noticeIdStart
    */
    public NoticeStudyQuery noticeIdStart(Long noticeIdStart){
		this.noticeIdStart = noticeIdStart;
		return this;
    }

    /**
    * 设置 结束 公告id
    * @param noticeIdEnd
    */
    public NoticeStudyQuery noticeIdEnd(Long noticeIdEnd){
		this.noticeIdEnd = noticeIdEnd;
		return this;
    }

    /**
    * 设置 增加 公告id
    * @param noticeIdIncrement
    */
    public NoticeStudyQuery noticeIdIncrement(Long noticeIdIncrement){
		this.noticeIdIncrement = noticeIdIncrement;
		return this;
    }

    /**
    * 设置 公告id
    * @param noticeIdList
    */
    public NoticeStudyQuery noticeIdList(List<Long> noticeIdList){
        this.noticeIdList = noticeIdList;
		return this;
        }

        /**
        * 设置 公告id
        * @param noticeIdNotList
        */
        public NoticeStudyQuery noticeIdNotList(List<Long> noticeIdNotList){
        this.noticeIdNotList = noticeIdNotList;
        return this;
        }

    /**
    * 设置  公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetType
    */
    public NoticeStudyQuery noticetType(Integer noticetType){
	    setNoticetType(noticetType);
		return this;
    }
	
	 /**
    * 设置 开始 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeStart
    */
    public NoticeStudyQuery noticetTypeStart(Integer noticetTypeStart){
		this.noticetTypeStart = noticetTypeStart;
		return this;
    }

    /**
    * 设置 结束 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeEnd
    */
    public NoticeStudyQuery noticetTypeEnd(Integer noticetTypeEnd){
		this.noticetTypeEnd = noticetTypeEnd;
		return this;
    }

    /**
    * 设置 增加 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeIncrement
    */
    public NoticeStudyQuery noticetTypeIncrement(Integer noticetTypeIncrement){
		this.noticetTypeIncrement = noticetTypeIncrement;
		return this;
    }

    /**
    * 设置 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
    * @param noticetTypeList
    */
    public NoticeStudyQuery noticetTypeList(List<Integer> noticetTypeList){
        this.noticetTypeList = noticetTypeList;
		return this;
        }

        /**
        * 设置 公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
        * @param noticetTypeNotList
        */
        public NoticeStudyQuery noticetTypeNotList(List<Integer> noticetTypeNotList){
        this.noticetTypeNotList = noticetTypeNotList;
        return this;
        }


	/**
    * 设置 公告标题
    * @param title
    */
    public NoticeStudyQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 公告标题
    * @param titleList
    */
    public NoticeStudyQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  用户id
    * @param userId
    */
    public NoticeStudyQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public NoticeStudyQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public NoticeStudyQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public NoticeStudyQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public NoticeStudyQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 用户id
        * @param userIdNotList
        */
        public NoticeStudyQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }


	/**
    * 设置 用户名称
    * @param userName
    */
    public NoticeStudyQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public NoticeStudyQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 所属部门
    * @param deptName
    */
    public NoticeStudyQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public NoticeStudyQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  状态(0.未读,1.已读)
    * @param noticeStatus
    */
    public NoticeStudyQuery noticeStatus(Integer noticeStatus){
	    setNoticeStatus(noticeStatus);
		return this;
    }
	
	 /**
    * 设置 开始 状态(0.未读,1.已读)
    * @param noticeStatusStart
    */
    public NoticeStudyQuery noticeStatusStart(Integer noticeStatusStart){
		this.noticeStatusStart = noticeStatusStart;
		return this;
    }

    /**
    * 设置 结束 状态(0.未读,1.已读)
    * @param noticeStatusEnd
    */
    public NoticeStudyQuery noticeStatusEnd(Integer noticeStatusEnd){
		this.noticeStatusEnd = noticeStatusEnd;
		return this;
    }

    /**
    * 设置 增加 状态(0.未读,1.已读)
    * @param noticeStatusIncrement
    */
    public NoticeStudyQuery noticeStatusIncrement(Integer noticeStatusIncrement){
		this.noticeStatusIncrement = noticeStatusIncrement;
		return this;
    }

    /**
    * 设置 状态(0.未读,1.已读)
    * @param noticeStatusList
    */
    public NoticeStudyQuery noticeStatusList(List<Integer> noticeStatusList){
        this.noticeStatusList = noticeStatusList;
		return this;
        }

        /**
        * 设置 状态(0.未读,1.已读)
        * @param noticeStatusNotList
        */
        public NoticeStudyQuery noticeStatusNotList(List<Integer> noticeStatusNotList){
        this.noticeStatusNotList = noticeStatusNotList;
        return this;
        }

    /**
    * 设置  是否置顶(0.否，1.是)
    * @param top
    */
    public NoticeStudyQuery top(Integer top){
	    setTop(top);
		return this;
    }
	
	 /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public NoticeStudyQuery topStart(Integer topStart){
		this.topStart = topStart;
		return this;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public NoticeStudyQuery topEnd(Integer topEnd){
		this.topEnd = topEnd;
		return this;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public NoticeStudyQuery topIncrement(Integer topIncrement){
		this.topIncrement = topIncrement;
		return this;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public NoticeStudyQuery topList(List<Integer> topList){
        this.topList = topList;
		return this;
        }

        /**
        * 设置 是否置顶(0.否，1.是)
        * @param topNotList
        */
        public NoticeStudyQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
        }



	/**
    * 设置 备注
    * @param remark
    */
    public NoticeStudyQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NoticeStudyQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NoticeStudyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NoticeStudyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NoticeStudyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NoticeStudyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NoticeStudyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NoticeStudyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NoticeStudyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NoticeStudyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NoticeStudyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NoticeStudyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NoticeStudyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NoticeStudyQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NoticeStudyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NoticeStudyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NoticeStudyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NoticeStudyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}